Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ErrorResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ErrorResponseType

public class ErrorResponseType extends Object
Message from service indicating an error.

Java class for ErrorResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ErrorResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}error"/>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  `protected javax.xml.bind.JAXBElement<? extends ErrorCodeType>`
  `error`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the value of the description property.
  `javax.xml.bind.JAXBElement<? extends ErrorCodeType>`
  `getError()`
  Gets the value of the error property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setError(javax.xml.bind.JAXBElement<? extends ErrorCodeType> value)`
  Sets the value of the error property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### error

    protected javax.xml.bind.JAXBElement<? extends ErrorCodeType> error

  - ### description

    protected String description

- ## Constructor Details

  - ### ErrorResponseType

    public ErrorResponseType()

- ## Method Details

  - ### getError

    public javax.xml.bind.JAXBElement<? extends ErrorCodeType> getError()
    Gets the value of the error property.
    Returns:
      possible object is `JAXBElement``<``AlreadySubscribedType``>` `JAXBElement``<``InvalidTokenType``>` `JAXBElement``<``ServiceStoppedType``>` `JAXBElement``<``UnknownSubscriptionType``>` `JAXBElement``<``UnreachableTargetType``>` `JAXBElement``<``AfterMaxDateTimeType``>` `JAXBElement``<``BeforeMinDateTimeType``>` `JAXBElement``<``ErrorCodeType``>` `JAXBElement``<``ExceedsMaxResourceSizeType``>` `JAXBElement``<``ForbiddenType``>` `JAXBElement``<``InvalidCalendarCollectionLocationType``>` `JAXBElement``<``InvalidCalendarDataType``>` `JAXBElement``<``InvalidCalendarObjectResourceType``>` `JAXBElement``<``InvalidFilterType``>` `JAXBElement``<``MismatchedChangeTokenType``>` `JAXBElement``<``MissingChangeTokenType``>` `JAXBElement``<``NotCalendarDataType``>` `JAXBElement``<``PartialSuccessType``>` `JAXBElement``<``TargetDoesNotExistType``>` `JAXBElement``<``TargetExistsType``>` `JAXBElement``<``TargetNotEntityType``>` `JAXBElement``<``TooManyAttendeesPerInstanceType``>` `JAXBElement``<``TooManyInstancesType``>` `JAXBElement``<``UidConflictType``>` `JAXBElement``<``UnsupportedCalendarComponentType``>`

  - ### setError

    public void setError(javax.xml.bind.JAXBElement<? extends ErrorCodeType> value)
    Sets the value of the error property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AlreadySubscribedType``>` `JAXBElement``<``InvalidTokenType``>` `JAXBElement``<``ServiceStoppedType``>` `JAXBElement``<``UnknownSubscriptionType``>` `JAXBElement``<``UnreachableTargetType``>` `JAXBElement``<``AfterMaxDateTimeType``>` `JAXBElement``<``BeforeMinDateTimeType``>` `JAXBElement``<``ErrorCodeType``>` `JAXBElement``<``ExceedsMaxResourceSizeType``>` `JAXBElement``<``ForbiddenType``>` `JAXBElement``<``InvalidCalendarCollectionLocationType``>` `JAXBElement``<``InvalidCalendarDataType``>` `JAXBElement``<``InvalidCalendarObjectResourceType``>` `JAXBElement``<``InvalidFilterType``>` `JAXBElement``<``MismatchedChangeTokenType``>` `JAXBElement``<``MissingChangeTokenType``>` `JAXBElement``<``NotCalendarDataType``>` `JAXBElement``<``PartialSuccessType``>` `JAXBElement``<``TargetDoesNotExistType``>` `JAXBElement``<``TargetExistsType``>` `JAXBElement``<``TargetNotEntityType``>` `JAXBElement``<``TooManyAttendeesPerInstanceType``>` `JAXBElement``<``TooManyInstancesType``>` `JAXBElement``<``UidConflictType``>` `JAXBElement``<``UnsupportedCalendarComponentType``>`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`